Package fr.gouv.vitam.common.model.administration.schema

# Class SchemaInputModel

java.lang.Object
fr.gouv.vitam.common.model.administration.schema.SchemaInputModel

public class SchemaInputModel extends Object
POJO for external input schema api

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TAG_DESCRIPTION`
  Description Tag
  `static final String`
  `TAG_IS_OBJECT`
  Type Tag
  `static final String`
  `TAG_PATH`
  Api path
  `static final String`
  `TAG_PATH_CARDINALITY`
  pathCardinality tag
  `static final String`
  `TAG_SHORT_NAME`
  ShortName Tag

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SchemaInputModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SchemaCardinality`
  `getCardinality()`
  `String`
  `getDescription()`
  `String`
  `getPath()`
  `String`
  `getShortName()`
  `Boolean`
  `isObject()`
  `Boolean`
  `notObject()`
  `SchemaInputModel`
  `setCardinality(SchemaCardinality cardinality)`
  `SchemaInputModel`
  `setDescription(String description)`
  `SchemaInputModel`
  `setObject(Boolean isObject)`
  `SchemaInputModel`
  `setPath(String path)`
  `SchemaInputModel`
  `setShortName(String shortName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_PATH

    public static final String TAG_PATH
    Api path
    See Also:
      - Constant Field Values

  - ### TAG_DESCRIPTION

    public static final String TAG_DESCRIPTION
    Description Tag
    See Also:
      - Constant Field Values

  - ### TAG_IS_OBJECT

    public static final String TAG_IS_OBJECT
    Type Tag
    See Also:
      - Constant Field Values

  - ### TAG_SHORT_NAME

    public static final String TAG_SHORT_NAME
    ShortName Tag
    See Also:
      - Constant Field Values

  - ### TAG_PATH_CARDINALITY

    public static final String TAG_PATH_CARDINALITY
    pathCardinality tag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SchemaInputModel

    public SchemaInputModel()

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public SchemaInputModel setDescription(String description)

  - ### getCardinality

    public SchemaCardinality getCardinality()

  - ### setCardinality

    public SchemaInputModel setCardinality(SchemaCardinality cardinality)

  - ### isObject

    public Boolean isObject()

  - ### notObject

    public Boolean notObject()

  - ### setObject

    public SchemaInputModel setObject(Boolean isObject)

  - ### getShortName

    public String getShortName()

  - ### setShortName

    public SchemaInputModel setShortName(String shortName)

  - ### getPath

    public String getPath()

  - ### setPath

    public SchemaInputModel setPath(String path)